/* extremely simple interface to PC-KIMMO's generator() function */
#include <stdio.h>
#include "pckimmo.h"
#ifdef THINK_C
#include <console.h>
#endif
extern RESULT *generator();
extern char *strchr();
int main(argc,argv)
int argc;
char *argv[];
{
LANGUAGE Lang;
RESULT *resp, *rp;
char word[400];		/* 400 should be more than ample... */
char *p;

#ifdef THINK_C
argc = ccommand(&argv);
#endif

/*
 *  check for plausible command arguments
 */
if (argc != 2)
    {
    fprintf(stderr, "usage: %s rulefile <input >output\n", argv[0] );
    exit(1);
    }
/*
 *  load the rules file
 */
if (load_rules(argv[1], &Lang, ';') < 0)
    exit(1);
/*
 *  process the data
 */
while (gets(word) != (char *)NULL)
    {
    p = strchr(word,' ');
    if (p != (char *)NULL)
	*p = '\0';
    resp = generator( word, &Lang, 0, 0, (FILE *)NULL);
    for ( rp = resp ; rp ; rp = rp->link )
	{
    if (!isatty(fileno(stdin)))
	    puts(word);
	printf("    %s\n", (resp->str)  ? (char *)rp->str  : "" );
	}
    if (resp != (RESULT *)NULL)
	free_result(resp);
    else
	printf("    invalid lexical form\n");
    }
return(0);
}
