/*	VERSION.H - version number and date information
 ***************************************************************************
 *	RELEASE VERSION HISTORY
 *	 6-Feb-90	version 1.0 (UNIX and MSDOS)
 *			 - ready for release to the world
 *	 8-May-90	version 1.0 (Macintosh)
 *			 - ready for release to the world
 *	14-Jul-90	version 1.0A
 *			 - fix portability problems for ULTRIX and UNIX PC
 *       6-Sep-90	version 1.0B
 *			 - fix bug in generation involving insertions at the
 *			   end of a word (bug reported by Greg Lee)
 *			 - fix bug in recognition involving insertions at the
 *			   the end of a morpheme/middle of another
 *			   (bug reported by Richard Sproat)
 *			 - prune recognition search to eliminate duplication
 *	17-Sep-90	version 1.0.3
 *			 - fix botch in recognition introduced by 1.0B
 *			   (pruning was inappropriate for the general case)
 *			 - fixing bug remaining in generation involving
 *			   multiple insertions at the end of a word
 *			 - introduce version.h to log version information
 *			   and to define version number and data constants
 *	25-Feb-91	version 1.0.4
 *			 - fix bug in loading a lexicon with a large number
 *			   of sections
 *	26-Feb-91	version 1.0.5 (yesterday's fix wasn't good enough)
 *			 - change definitions of ALTERNATION and struct
 *			   lex_item to store array indices rather than
 *			   pointers into arrays (that may be shifted
 *			   around in memory during loading)
 *	19-Nov-91	version 1.0.6
 *			 - fix memory leak in erase_lex_item() [lexicon.c]
 *			 - add fflush(stderr) for THINK C progress dots
 *	26-Dec-91	version 1.0.7
 *			 - fix for Think C 5.0 and DJ GPP 1.05
 *	30-Jan-92	version 1.0.8
 *			 - fix bugs in 8-bit character handling in 1.0.7
 *			 - put function prototypes in pckimmo.h
 *	18-Feb-92	 - add 8-bit strchr() for benefit of DJGPP
 *			 - add typecasts to satisfy THINK C in usercmd.c
 ***************************************************************************
 * Copyright 1990, 1992 by the Summer Institute of Linguistics, Inc.
 * All rights reserved.
 */
#define VERSION 1		/* major rewrite or expansion */
#define REVISION 0		/* enhancement requiring adding to book */
#define PATCHLEVEL 8		/* bug fix or other internal improvement */
#define DATE "18 February 1992"	/* date of release version */
#define YEAR "1992"		/* used for copyright notice in banner */
